cd /home/hollan/light/PV

T=`date '+%H%M'`

rm ap.txt
wget -q 192.168.2.200/~kamera/meteo/ap.txt
cp ap.txt tmp/$T.txt


sed -n '
/^Date /p
/^Time /p
/^To /p
/^DP /p
/^RHo /p
/^WSmax /p
/^DIR0 /p
/^Rtot /p
/^RP /p' ap.txt | \
sed -r 's/^[DITRPHWSa-z1240]+ //' | \
fmt | \
sed -r 's/(([-0-9A-Za-z:.]+ ){5})([0-9.]+ )([0-9.]+ )/\1\4\3/' \
 > apnewl.txt 

P=`sed -rn '${s/([-0-9A-Za-z:.]+ ){7}([0-9.]+) .*/\2/p}' apdata.txt`
C=`sed -rn 's/([-0-9A-Za-z:.]+ ){7}([0-9.]+) .*/\2/p' apnewl.txt`
if [[ $P != $C ]] 
then 
 D=`calc -d "display(3); ($C - $P)/3.48" | sed -n '${s/[[:blank:]]*/ /p}'`
else 
 D='' 
fi
sed -r "s/\$/$D/" apnewl.txt >>apdata.txt
